Start Sync

Starts a new execution of a model sync. > 🚧 Force full resync > > Use caution when setting the `resync` parameter to `true`. This will force a full resync of the data from the source system. This can be a time-consuming operation and may impact the performance of the source system. It is recommended to only use this option when necessary.

Authentication

AuthorizationBearer
Bearer user API key
OR
AuthorizationBasic

Basic organization-scoped API key

Path parameters

idstringRequiredformat: "uuid"

Headers

X-Polytomic-VersionstringOptional

Request

This endpoint expects an object.
identitieslist of strings or nullOptional

Values of the sync’s identity source field naming the records to sync. A sync with more than one identity mapping requires ‘source_identities’ instead.

resyncbooleanOptionalDefaults to false
source_identitieslist of lists of objectsOptional

Records to sync, each identified by every source and value its entry lists. The sources of an entry are identity mapping sources of one model, and an entry for a sync whose identities strategy is ‘and’ lists all of them. Cannot be combined with ‘identities’; at most 1000 entries.

testbooleanOptionalDefaults to false

Response

OK
dataobjectOptional

Errors

400
Bad Request Error
403
Forbidden Error
404
Not Found Error
409
Conflict Error
500
Internal Server Error